use std::collections::BTreeSet;

#[derive(Default)]
pub(super) struct ValidationContext {
    pub(super) seen_company_ids: BTreeSet<u32>,
    pub(super) active_company_ids: BTreeSet<u32>,
    pub(super) seen_player_ids: BTreeSet<u32>,
    pub(super) active_player_ids: BTreeSet<u32>,
    pub(super) seen_chairman_profile_ids: BTreeSet<u32>,
    pub(super) active_chairman_profile_ids: BTreeSet<u32>,
    pub(super) seen_territory_ids: BTreeSet<u32>,
    pub(super) seen_near_city_region_ids: BTreeSet<u32>,
    pub(super) seen_near_city_site_ids: BTreeSet<u32>,
}
